/*
 * Copyright (c) 2000, 2001 Manuel Kauers, Stefan Rhrich
 * Alle Rechte vorbehalten.
 */

package picture.filetype;

import picture.*;

/**
 * Spezielle Speichereigenschaften fr PGM-Bilder.
 */
public interface PGMPictureProperty extends PictureProperty {

    public static final int RAW_FORMAT = PGMPictureType.RAW;
    public static final int ASCII_FORMAT = PGMPictureType.ASCII;

    /**
     * Gibt an, ob die Datei im Raw- oder im 
     * Ascii-Format geschrieben werden soll. Zurueckgegeben
     * werden RAW_FORMAT oder ASCII_FORMAT.
     */
    public int getFormat();

    /**
     * Gibt den maximalen Grauwert des Bildes an.
     * Der minimale Grauwert des Bildes ist stets 0, somit wird
     * ueber diese Methode die Anzahl der Graustufen und damit
     * insbesondere die Groesse des Bildes festgelegt.
     */
    public long getNumberOfGrayScales(); 

    /**
     * Gibt etwaige Kommentare ab, die in der
     * Datei gespeichert werden sollen.
     */
    public String [] getComment();
}
