/*
 * Copyright (c) 2000, 2001 Manuel Kauers, Stefan Rhrich
 * Alle Rechte vorbehalten.
 */

package picture.io;

/**
 * Diverse Konstanten fr arithmetische Komprimierung. */
interface ArithConstants {
    static final int NO_OF_CHARS = 256;	/* Number of character symbols      */
    static final int EOF_SYMBOL = (NO_OF_CHARS+1);	/* Index of EOF symbol              */

    static final int NO_OF_SYMBOLS = (NO_OF_CHARS+1);	/* Total number of symbols          */

/* DECLARATIONS USED FOR ARITHMETIC ENCODING AND DECODING */

/* SIZE OF ARITHMETIC CODE VALUES. */

    static final int CODE_VALUE_BITS = 16;	/* Number of bits in a code value   */

    static final long TOP_VALUE = (((long)1<<CODE_VALUE_BITS)-1);	/* Largest code value */


/* HALF AND QUARTER POINTS IN THE CODE VALUE RANGE. */

    static final long FIRST_QTR = (TOP_VALUE/4+1);	/* Point after first quarter        */
    static final long HALF = (2*FIRST_QTR);	/* Point after first half           */
    static final long THIRD_QTR = (3*FIRST_QTR);	/* Point after third quarter        */


/* CUMULATIVE FREQUENCY TABLE. */

    static final int MAX_FREQUENCY = 16383;	/* Maximum allowed frequency count  */
}
